faked(1)

NAAM
faked - daemon die valse eigenaren/toegangsrechten onthoudt van bestanden die door fakeroot-processen zijn bewerkt.

SYNTAX
faked [--debug] [--foreground] [--cleanup] [--key berichtensleutel] [--load] [--save-file te-bewaren-bestand] [--port TCP-poort]

BESCHRIJVING
Als een fakeroot-proces de eigenaren van een bestand wil veranderen, dan is faked het proces dat de nieuwe eigenaar onthoudt. Als later hetzelfde fakeroot-proces een stat() uitvoert op die bestandsnaam, dan zal de door libfakeroot omhulde stat()-aanroep eerst faked verzoeken om de valse eigenaren, enz. van dat bestand, en dan deze rapporteren.

OPTIES

--debug
    Foutopsporingsinformatie op stderr afdrukken.

--foreground
    Niet naar de achtergrond `forken'.

--cleanup nummer
    De `semaphores' opschonen.

--key sleutelnummer
    Geen nieuw communicatiekanaal reserveren, maar het door sleutelnummer aangegeven kanaal gebruiken. (Als het aangegeven kanaal niet bestaat wordt het aangemaakt.)

--save-file te-bewaren-bestand
    De omgeving bij afsluiten opslaan in het te-bewaren-bestand.

--load
    Een eerder opgeslagen omgeving uit standaard invoer inladen.

--unknown-is-real
    De echte eigenaren van eerder onbekende bestanden gebruiken in plaats van deze op root:root in te stellen.

--port TCP-poort
    De TCP-poort TCP-poort gebruiken.

FOUTEN
Tot nog toe geen. Wees echter gewaarschuwd: hoewel ik nogal wat veel grotere (en kleinere) programma's heb geschreven, heb ik nog nooit zoiets piepkleins geschreven als fakeroot, of met zoveel fouten als fakeroot, en dat toch nog zo bruikbaar was als, laten we zeggen, fakeroot versie 0.0_3, de eerste versie die kon worden gebruikt om zichzelf te bouwen.

KOPIËREN
fakeroot wordt verspreid onder de voorwaarden van de GNU General Public License (GPL 2.0 of recenter).

AUTEURS

joost witteveen
    <joostje@debian.org>

Clint Adams
    <schizo@debian.org>

Timo Savola

VERTALING

Martijn Dekker
    <martijn@inlv.org>

HANDLEIDINGSPAGINA
Vooral door J.H.M. Dassen <jdassen@debian.org>. Wijzigingen en aanvullingen door joost en Clint.

ZIE OOK
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG